# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{rexical}
  s.version = "1.0.5"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Aaron Patterson"]
  s.date = %q{2010-12-08}
  s.default_executable = %q{rex}
  s.description = %q{Rexical is a lexical scanner generator.
It is written in Ruby itself, and generates Ruby program.
It is designed for use with Racc.}
  s.email = ["aaronp@rubyforge.org"]
  s.executables = ["rex"]
  s.extra_rdoc_files = ["Manifest.txt", "CHANGELOG.rdoc", "DOCUMENTATION.en.rdoc", "DOCUMENTATION.ja.rdoc", "README.rdoc"]
  s.files = ["CHANGELOG.rdoc", "DOCUMENTATION.en.rdoc", "DOCUMENTATION.ja.rdoc", "Manifest.txt", "README.ja", "README.rdoc", "Rakefile", "bin/rex", "lib/rexical.rb", "lib/rexical/generator.rb", "lib/rexical/rexcmd.rb", "sample/a.cmd", "sample/b.cmd", "sample/c.cmd", "sample/calc3.racc", "sample/calc3.rex", "sample/calc3.rex.rb", "sample/calc3.tab.rb", "sample/error1.rex", "sample/error2.rex", "sample/sample.html", "sample/sample.rex", "sample/sample.rex.rb", "sample/sample.xhtml", "sample/sample1.c", "sample/sample1.rex", "sample/sample2.bas", "sample/sample2.rex", "sample/simple.html", "sample/simple.xhtml", "sample/xhtmlparser.racc", "sample/xhtmlparser.rex", "test/assets/test.rex", "test/rex-20060125.rb", "test/rex-20060511.rb", "test/test_generator.rb"]
  s.has_rdoc = true
  s.homepage = %q{http://github.com/tenderlove/rexical/tree/master}
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{ruby-rex}
  s.rubygems_version = %q{1.3.2}
  s.summary = %q{Rexical is a lexical scanner generator}
  s.test_files = ["test/test_generator.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<hoe>, [">= 2.6.2"])
    else
      s.add_dependency(%q<hoe>, [">= 2.6.2"])
    end
  else
    s.add_dependency(%q<hoe>, [">= 2.6.2"])
  end
end
